-
- Translation help networkKudoZOther terminology resourcesLearn more: About terminology at ProZ.com
-
-
GET: /kudoz/points/:uuidGet statistics about KudoZ point totals for the given user. Required authorization scope
When using OAuth2 access tokens, the Parameters
Example requestcurl -H "Authorization: Bearer {OAUTH2_ACCESS_TOKEN}" https://api.proz.com/v2/kudoz/points/32a9a4d0-cb6e-463f-a0ab-63d0a0418bc7
Response
A JSON data structure summarizing the user's KudoZ point totals for their language pairs (
{
"points": {
"pairs": [
{
"pair": "eng_rus",
"pro": 435,
"non-pro": 4
},
{
"pair": "rus_eng",
"pro": 189,
"non-pro": 8
}
],
"disc_gens": [
{
"disc_gen_id": 1,
"pro": 235,
"non-pro": 0
},
{
"disc_gen_id": 8,
"pro": 154,
"non-pro": 8
},
{
"disc_gen_id": 9,
"pro": 50,
"non-pro": 0
},
...
{
"disc_gen_id": 2,
"pro": 32,
"non-pro": 4
},
{
"disc_gen_id": 3,
"pro": 24,
"non-pro": 0
},
{
"disc_gen_id": 5,
"pro": 12,
"non-pro": 0
}
],
"disc_specs": [
{
"disc_spec_id": 40,
"pro": 51,
"non-pro": 0
},
{
"disc_spec_id": 110,
"pro": 32,
"non-pro": 0
},
{
"disc_spec_id": 129,
"pro": 31,
"non-pro": 0
},
...
{
"disc_spec_id": 157,
"pro": 3,
"non-pro": 0
},
{
"disc_spec_id": 96,
"pro": 2,
"non-pro": 0
},
{
"disc_spec_id": 149,
"pro": 0,
"non-pro": 4
}
]
}
}
|